M6800OP_(00,ERR ,INHERENT  ,INHERENT, 0,0000)
M6800OP_(01,NOP ,INHERENT  ,INHERENT, 2,0982)
M6800OP_(02,ERR ,INHERENT  ,INHERENT, 0,0000)
M6800OP_(03,ERR ,INHERENT  ,INHERENT, 0,0000)
M6800OP_(04,LSRD,INHERENT  ,INHERENT, 3,0AFB)
M6800OP_(05,ASLD,INHERENT  ,INHERENT, 3,0AED)
M6800OP_(06,TAP ,INHERENT  ,INHERENT, 2,0A11)
M6800OP_(07,TPA ,INHERENT  ,INHERENT, 2,0A1E)
M6800OP_(08,INX ,INHERENT  ,INHERENT, 3,07A0)
M6800OP_(09,DEX ,INHERENT  ,INHERENT, 3,0786)
M6800OP_(0A,CLV ,INHERENT  ,INHERENT, 2,09DD)
M6800OP_(0B,SEV ,INHERENT  ,INHERENT, 2,0A04)
M6800OP_(0C,CLC ,INHERENT  ,INHERENT, 2,09C3)
M6800OP_(0D,SEC ,INHERENT  ,INHERENT, 2,09EA)
M6800OP_(0E,CLI ,INHERENT  ,INHERENT, 2,09D0)
M6800OP_(0F,SEI ,INHERENT  ,INHERENT, 2,09F7)
M6800OP_(10,SBA ,INHERENT  ,INHERENT, 2,068C)
M6800OP_(11,CBA ,INHERENT  ,INHERENT, 2,025F)
M6800OP_(12,ERR ,INHERENT  ,INHERENT, 0,0000)
M6800OP_(13,ERR ,INHERENT  ,INHERENT, 0,0000)
M6800OP_(14,ERR ,INHERENT  ,INHERENT, 0,0000)
M6800OP_(15,ERR ,INHERENT  ,INHERENT, 0,0000)
M6800OP_(16,TAB ,INHERENT  ,INHERENT, 2,0705)
M6800OP_(17,TBA ,INHERENT  ,INHERENT, 2,0712)
M6800OP_(18,XGDX,INHERENT  ,INHERENT, 2,0BB3)
M6800OP_(19,DAA ,INHERENT  ,INHERENT, 2,02D6)
M6800OP_(1A,SLP ,INHERENT  ,INHERENT, 4,0BC1)
M6800OP_(1B,ABA ,INHERENT  ,INHERENT, 2,006D)
M6800OP_(1C,ERR ,INHERENT  ,INHERENT, 0,0000)
M6800OP_(1D,ERR ,INHERENT  ,INHERENT, 0,0000)
M6800OP_(1E,ERR ,INHERENT  ,INHERENT, 0,0000)
M6800OP_(1F,ERR ,INHERENT  ,INHERENT, 0,0000)
M6800OP_(20,BRA ,RELATIVE  ,ADDRESS , 3,0880)
M6800OP_(21,BRN ,RELATIVE  ,ADDRESS , 3,0B16)
M6800OP_(22,BHI ,RELATIVE  ,ADDRESS , 3,08CE)
M6800OP_(23,BLS ,RELATIVE  ,ADDRESS , 3,08E8)
M6800OP_(24,BCC ,RELATIVE  ,ADDRESS , 3,088D)
M6800OP_(25,BCS ,RELATIVE  ,ADDRESS , 3,089A)
M6800OP_(26,BNE ,RELATIVE  ,ADDRESS , 3,090F)
M6800OP_(27,BEQ ,RELATIVE  ,ADDRESS , 3,08A7)
M6800OP_(28,BVC ,RELATIVE  ,ADDRESS , 3,091C)
M6800OP_(29,BVS ,RELATIVE  ,ADDRESS , 3,0929)
M6800OP_(2A,BPL ,RELATIVE  ,ADDRESS , 3,0936)
M6800OP_(2B,BMI ,RELATIVE  ,ADDRESS , 3,0902)
M6800OP_(2C,BGE ,RELATIVE  ,ADDRESS , 3,08B4)
M6800OP_(2D,BLT ,RELATIVE  ,ADDRESS , 3,08F5)
M6800OP_(2E,BGT ,RELATIVE  ,ADDRESS , 3,08C1)
M6800OP_(2F,BLE ,RELATIVE  ,ADDRESS , 3,08DB)
M6800OP_(30,TSX ,INHERENT  ,INHERENT, 3,0873)
M6800OP_(31,INS ,INHERENT  ,INHERENT, 4,07AD)
M6800OP_(32,PULA,INHERENT  ,INHERENT, 4,04AD)
M6800OP_(33,PULB,INHERENT  ,INHERENT, 4,04BB)
M6800OP_(34,DES ,INHERENT  ,INHERENT, 4,0793)
M6800OP_(35,TXS ,INHERENT  ,INHERENT, 3,0866)
M6800OP_(36,PSHA,INHERENT  ,INHERENT, 3,0491)
M6800OP_(37,PSHB,INHERENT  ,INHERENT, 3,049F)
M6800OP_(38,PULX,INHERENT  ,INHERENT, 5,0B3E)
M6800OP_(39,RTS ,INHERENT  ,INHERENT, 5,099C)
M6800OP_(3A,ABX ,INHERENT  ,INHERENT, 3,0B23)
M6800OP_(3B,RTI ,INHERENT  ,INHERENT,10,098F)
M6800OP_(3C,PSHX,INHERENT  ,INHERENT, 4,0B30)
M6800OP_(3D,MUL ,INHERENT  ,INHERENT,10,0B09)
M6800OP_(3E,WAI ,INHERENT  ,INHERENT, 9,09B6)
M6800OP_(3F,SWI ,INHERENT  ,INHERENT,12,09A9)
M6800OP_(40,NEGA,INHERENT  ,INHERENT, 2,02BA)
M6800OP_(41,ERR ,INHERENT  ,INHERENT, 0,0000)
M6800OP_(42,ERR ,INHERENT  ,INHERENT, 0,0000)
M6800OP_(43,COMA,INHERENT  ,INHERENT, 2,0285)
M6800OP_(44,LSRA,INHERENT  ,INHERENT, 2,05B6)
M6800OP_(45,ERR ,INHERENT  ,INHERENT, 0,0000)
M6800OP_(46,RORA,INHERENT  ,INHERENT, 2,0517)
M6800OP_(47,ASRA,INHERENT  ,INHERENT, 2,0581)
M6800OP_(48,ASLA,INHERENT  ,INHERENT, 2,054C)
M6800OP_(49,ROLA,INHERENT  ,INHERENT, 2,04E2)
M6800OP_(4A,DECA,INHERENT  ,INHERENT, 2,02FC)
M6800OP_(4B,ERR ,INHERENT  ,INHERENT, 0,0000)
M6800OP_(4C,INCA,INHERENT  ,INHERENT, 2,039D)
M6800OP_(4D,TSTA,INHERENT  ,INHERENT, 2,0738)
M6800OP_(4E,ERR ,INHERENT  ,INHERENT, 0,0000)
M6800OP_(4F,CLRA,INHERENT  ,INHERENT, 2,01D7)
M6800OP_(50,NEGB,INHERENT  ,INHERENT, 2,02C8)
M6800OP_(51,ERR ,INHERENT  ,INHERENT, 0,0000)
M6800OP_(52,ERR ,INHERENT  ,INHERENT, 0,0000)
M6800OP_(53,COMB,INHERENT  ,INHERENT, 2,0293)
M6800OP_(54,LSRB,INHERENT  ,INHERENT, 2,05C4)
M6800OP_(55,ERR ,INHERENT  ,INHERENT, 0,0000)
M6800OP_(56,RORB,INHERENT  ,INHERENT, 2,0525)
M6800OP_(57,ASRB,INHERENT  ,INHERENT, 2,058F)
M6800OP_(58,ASLB,INHERENT  ,INHERENT, 2,055A)
M6800OP_(59,ROLB,INHERENT  ,INHERENT, 2,04F0)
M6800OP_(5A,DECB,INHERENT  ,INHERENT, 2,030A)
M6800OP_(5B,ERR ,INHERENT  ,INHERENT, 0,0000)
M6800OP_(5C,INCB,INHERENT  ,INHERENT, 2,03AB)
M6800OP_(5D,TSTB,INHERENT  ,INHERENT, 2,0746)
M6800OP_(5E,ERR ,INHERENT  ,INHERENT, 0,0000)
M6800OP_(5F,CLRB,INHERENT  ,INHERENT, 2,01E5)
M6800OP_(60,NEG ,INDEXED   ,ADDRESS , 6,02A1)
M6800OP_(61,AIM ,IMMEDIATE2,DATA    , 7,0B62)
M6800OP_(62,OIM ,IMMEDIATE2,DATA    , 7,0B79)
M6800OP_(63,COM ,INDEXED   ,ADDRESS , 6,026C)
M6800OP_(64,LSR ,INDEXED   ,ADDRESS , 6,059D)
M6800OP_(65,EIM ,IMMEDIATE2,DATA    , 7,0B90)
M6800OP_(66,ROR ,INDEXED   ,ADDRESS , 6,04FE)
M6800OP_(67,ASR ,INDEXED   ,ADDRESS , 6,0568)
M6800OP_(68,ASL ,INDEXED   ,ADDRESS , 6,0533)
M6800OP_(69,ROL ,INDEXED   ,ADDRESS , 6,04C9)
M6800OP_(6A,DEC ,INDEXED   ,ADDRESS , 6,02E3)
M6800OP_(6B,TIM ,IMMEDIATE2,DATA    , 5,0BA7)
M6800OP_(6C,INC ,INDEXED   ,ADDRESS , 6,0384)
M6800OP_(6D,TST ,INDEXED   ,ADDRESS , 6,071F)
M6800OP_(6E,JMP ,INDEXED   ,ADDRESS , 3,0950)
M6800OP_(6F,CLR ,INDEXED   ,ADDRESS , 6,01BE)
M6800OP_(70,NEG ,EXTENDED  ,ADDRESS , 6,02AD)
M6800OP_(71,AIM ,IMMEDIATE2,DATA    , 6,0B57)
M6800OP_(72,OIM ,IMMEDIATE2,DATA    , 6,0B6E)
M6800OP_(73,COM ,EXTENDED  ,ADDRESS , 6,0278)
M6800OP_(74,LSR ,EXTENDED  ,ADDRESS , 6,05A9)
M6800OP_(75,EIM ,IMMEDIATE2,DATA    , 6,0B85)
M6800OP_(76,ROR ,EXTENDED  ,ADDRESS , 6,050A)
M6800OP_(77,ASR ,EXTENDED  ,ADDRESS , 6,0574)
M6800OP_(78,ASL ,EXTENDED  ,ADDRESS , 6,053F)
M6800OP_(79,ROL ,EXTENDED  ,ADDRESS , 6,04D5)
M6800OP_(7A,DEC ,EXTENDED  ,ADDRESS , 6,02EF)
M6800OP_(7B,TIM ,IMMEDIATE2,DATA    , 4,0B9C)
M6800OP_(7C,INC ,EXTENDED  ,ADDRESS , 6,0390)
M6800OP_(7D,TST ,EXTENDED  ,ADDRESS , 6,072B)
M6800OP_(7E,JMP ,EXTENDED  ,ADDRESS , 3,095C)
M6800OP_(7F,CLR ,EXTENDED  ,ADDRESS , 6,01CA)
M6800OP_(80,SUBA,IMMEDIATE1,DATA    , 2,0620)
M6800OP_(81,CMPA,IMMEDIATE1,DATA    , 2,01F3)
M6800OP_(82,SBCA,IMMEDIATE1,DATA    , 2,0699)
M6800OP_(83,SUBD,IMMEDIATE2,DATA    , 4,0AB7)
M6800OP_(84,ANDA,IMMEDIATE1,DATA    , 2,00E6)
M6800OP_(85,BITA,IMMEDIATE1,DATA    , 2,0152)
M6800OP_(86,LDAA,IMMEDIATE1,DATA    , 2,03B9)
M6800OP_(87,ERR ,INHERENT  ,INHERENT, 0,0000)
M6800OP_(88,EORA,IMMEDIATE1,DATA    , 2,0318)
M6800OP_(89,ADCA,IMMEDIATE1,DATA    , 2,007A)
M6800OP_(8A,ORAA,IMMEDIATE1,DATA    , 2,0425)
M6800OP_(8B,ADDA,IMMEDIATE1,DATA    , 2,0001)
M6800OP_(8C,CPX ,IMMEDIATE2,DATA    , 4,0754)
M6800OP_(8D,BSR ,RELATIVE  ,ADDRESS , 6,0943)
M6800OP_(8E,LDS ,IMMEDIATE2,DATA    , 3,07EC)
M6800OP_(8F,ERR ,INHERENT  ,INHERENT, 0,0000)
M6800OP_(90,SUBA,DIRECT    ,ADDRESS , 3,062F)
M6800OP_(91,CMPA,DIRECT    ,ADDRESS , 3,0202)
M6800OP_(92,SBCA,DIRECT    ,ADDRESS , 3,06A8)
M6800OP_(93,SUBD,DIRECT    ,ADDRESS , 5,0AC6)
M6800OP_(94,ANDA,DIRECT    ,ADDRESS , 3,00F5)
M6800OP_(95,BITA,DIRECT    ,ADDRESS , 3,0161)
M6800OP_(96,LDAA,DIRECT    ,ADDRESS , 3,03C8)
M6800OP_(97,STAA,DIRECT    ,ADDRESS , 4,05D2)
M6800OP_(98,EORA,DIRECT    ,ADDRESS , 3,0327)
M6800OP_(99,ADCA,DIRECT    ,ADDRESS , 3,0089)
M6800OP_(9A,ORAA,DIRECT    ,ADDRESS , 3,0434)
M6800OP_(9B,ADDA,DIRECT    ,ADDRESS , 3,0010)
M6800OP_(9C,CPX ,DIRECT    ,ADDRESS , 5,0762)
M6800OP_(9D,JSR ,DIRECT    ,ADDRESS , 5,0B4C)
M6800OP_(9E,LDS ,DIRECT    ,ADDRESS , 4,07FA)
M6800OP_(9F,STS ,DIRECT    ,ADDRESS , 5,0842)
M6800OP_(A0,SUBA,INDEXED   ,ADDRESS , 4,063B)
M6800OP_(A1,CMPA,INDEXED   ,ADDRESS , 4,020E)
M6800OP_(A2,SBCA,INDEXED   ,ADDRESS , 4,06B4)
M6800OP_(A3,SUBD,INDEXED   ,ADDRESS , 6,0AD2)
M6800OP_(A4,ANDA,INDEXED   ,ADDRESS , 4,0101)
M6800OP_(A5,BITA,INDEXED   ,ADDRESS , 4,016D)
M6800OP_(A6,LDAA,INDEXED   ,ADDRESS , 4,03D4)
M6800OP_(A7,STAA,INDEXED   ,ADDRESS , 4,05DE)
M6800OP_(A8,EORA,INDEXED   ,ADDRESS , 4,0333)
M6800OP_(A9,ADCA,INDEXED   ,ADDRESS , 4,0095)
M6800OP_(AA,ORAA,INDEXED   ,ADDRESS , 4,0440)
M6800OP_(AB,ADDA,INDEXED   ,ADDRESS , 4,001C)
M6800OP_(AC,CPX ,INDEXED   ,ADDRESS , 6,076D)
M6800OP_(AD,JSR ,INDEXED   ,ADDRESS , 6,0969)
M6800OP_(AE,LDS ,INDEXED   ,ADDRESS , 5,0805)
M6800OP_(AF,STS ,INDEXED   ,ADDRESS , 5,084D)
M6800OP_(B0,SUBA,EXTENDED  ,ADDRESS , 4,0648)
M6800OP_(B1,CMPA,EXTENDED  ,ADDRESS , 4,021B)
M6800OP_(B2,SBCA,EXTENDED  ,ADDRESS , 4,06C1)
M6800OP_(B3,SUBD,EXTENDED  ,ADDRESS , 6,0ADF)
M6800OP_(B4,ANDA,EXTENDED  ,ADDRESS , 4,010E)
M6800OP_(B5,BITA,EXTENDED  ,ADDRESS , 4,017A)
M6800OP_(B6,LDAA,EXTENDED  ,ADDRESS , 4,03E1)
M6800OP_(B7,STAA,EXTENDED  ,ADDRESS , 4,05EB)
M6800OP_(B8,EORA,EXTENDED  ,ADDRESS , 4,0340)
M6800OP_(B9,ADCA,EXTENDED  ,ADDRESS , 4,00A2)
M6800OP_(BA,ORAA,EXTENDED  ,ADDRESS , 4,044D)
M6800OP_(BB,ADDA,EXTENDED  ,ADDRESS , 4,0029)
M6800OP_(BC,CPX ,EXTENDED  ,ADDRESS , 6,0779)
M6800OP_(BD,JSR ,EXTENDED  ,ADDRESS , 6,0975)
M6800OP_(BE,LDS ,EXTENDED  ,ADDRESS , 5,0811)
M6800OP_(BF,STS ,EXTENDED  ,ADDRESS , 5,0859)
M6800OP_(C0,SUBB,IMMEDIATE1,DATA    , 2,0656)
M6800OP_(C1,CMPB,IMMEDIATE1,DATA    , 2,0229)
M6800OP_(C2,SBCB,IMMEDIATE1,DATA    , 2,06CF)
M6800OP_(C3,ADDD,IMMEDIATE2,DATA    , 4,0A81)
M6800OP_(C4,ANDB,IMMEDIATE1,DATA    , 2,011C)
M6800OP_(C5,BITB,IMMEDIATE1,DATA    , 2,0188)
M6800OP_(C6,LDAB,IMMEDIATE1,DATA    , 2,03EF)
M6800OP_(C7,ERR ,INHERENT  ,INHERENT, 0,0000)
M6800OP_(C8,EORB,IMMEDIATE1,DATA    , 2,034E)
M6800OP_(C9,ADCB,IMMEDIATE1,DATA    , 2,00B0)
M6800OP_(CA,ORAB,IMMEDIATE1,DATA    , 2,045B)
M6800OP_(CB,ADDB,IMMEDIATE1,DATA    , 2,0037)
M6800OP_(CC,LDD ,IMMEDIATE2,DATA    , 3,0A2B)
M6800OP_(CD,ERR ,INHERENT  ,INHERENT, 0,0000)
M6800OP_(CE,LDX ,IMMEDIATE2,DATA    , 3,07BA)
M6800OP_(CF,ERR ,INHERENT  ,INHERENT, 0,0000)
M6800OP_(D0,SUBB,DIRECT    ,ADDRESS , 3,0665)
M6800OP_(D1,CMPB,DIRECT    ,ADDRESS , 3,0238)
M6800OP_(D2,SBCB,DIRECT    ,ADDRESS , 3,06DE)
M6800OP_(D3,ADDD,DIRECT    ,ADDRESS , 5,0A90)
M6800OP_(D4,ANDB,DIRECT    ,ADDRESS , 3,012B)
M6800OP_(D5,BITB,DIRECT    ,ADDRESS , 3,0197)
M6800OP_(D6,LDAB,DIRECT    ,ADDRESS , 3,03FE)
M6800OP_(D7,STAB,DIRECT    ,ADDRESS , 4,05F9)
M6800OP_(D8,EORB,DIRECT    ,ADDRESS , 3,035D)
M6800OP_(D9,ADCB,DIRECT    ,ADDRESS , 3,00BF)
M6800OP_(DA,ORAB,DIRECT    ,ADDRESS , 3,046A)
M6800OP_(DB,ADDB,DIRECT    ,ADDRESS , 3,0046)
M6800OP_(DC,LDD ,DIRECT    ,ADDRESS , 4,0A39)
M6800OP_(DD,STD ,DIRECT    ,ADDRESS , 4,0A5D)
M6800OP_(DE,LDX ,DIRECT    ,ADDRESS , 4,07C8)
M6800OP_(DF,STX ,DIRECT    ,ADDRESS , 4,081E)
M6800OP_(E0,SUBB,INDEXED   ,ADDRESS , 4,0671)
M6800OP_(E1,CMPB,INDEXED   ,ADDRESS , 4,0244)
M6800OP_(E2,SBCB,INDEXED   ,ADDRESS , 4,06EA)
M6800OP_(E3,ADDD,INDEXED   ,ADDRESS , 6,0A9C)
M6800OP_(E4,ANDB,INDEXED   ,ADDRESS , 4,0137)
M6800OP_(E5,BITB,INDEXED   ,ADDRESS , 4,01A3)
M6800OP_(E6,LDAB,INDEXED   ,ADDRESS , 4,040A)
M6800OP_(E7,STAB,INDEXED   ,ADDRESS , 4,0605)
M6800OP_(E8,EORB,INDEXED   ,ADDRESS , 4,0369)
M6800OP_(E9,ADCB,INDEXED   ,ADDRESS , 4,00CB)
M6800OP_(EA,ORAB,INDEXED   ,ADDRESS , 4,0476)
M6800OP_(EB,ADDB,INDEXED   ,ADDRESS , 4,0052)
M6800OP_(EC,LDD ,INDEXED   ,ADDRESS , 5,0A44)
M6800OP_(ED,STD ,INDEXED   ,ADDRESS , 5,0A68)
M6800OP_(EE,LDX ,INDEXED   ,ADDRESS , 5,07D3)
M6800OP_(EF,STX ,INDEXED   ,ADDRESS , 5,0829)
M6800OP_(F0,SUBB,EXTENDED  ,ADDRESS , 4,067E)
M6800OP_(F1,CMPB,EXTENDED  ,ADDRESS , 4,0251)
M6800OP_(F2,SBCB,EXTENDED  ,ADDRESS , 4,06F7)
M6800OP_(F3,ADDD,EXTENDED  ,ADDRESS , 6,0AA9)
M6800OP_(F4,ANDB,EXTENDED  ,ADDRESS , 4,0144)
M6800OP_(F5,BITB,EXTENDED  ,ADDRESS , 4,01B0)
M6800OP_(F6,LDAB,EXTENDED  ,ADDRESS , 4,0417)
M6800OP_(F7,STAB,EXTENDED  ,ADDRESS , 4,0612)
M6800OP_(F8,EORB,EXTENDED  ,ADDRESS , 4,0376)
M6800OP_(F9,ADCB,EXTENDED  ,ADDRESS , 4,00D8)
M6800OP_(FA,ORAB,EXTENDED  ,ADDRESS , 4,0483)
M6800OP_(FB,ADDB,EXTENDED  ,ADDRESS , 4,005F)
M6800OP_(FC,LDD ,EXTENDED  ,ADDRESS , 5,0A50)
M6800OP_(FD,STD ,EXTENDED  ,ADDRESS , 5,0A74)
M6800OP_(FE,LDX ,EXTENDED  ,ADDRESS , 5,07DF)
M6800OP_(FF,STX ,EXTENDED  ,ADDRESS , 5,0835)
